How do I upgrade Dynamik to a newer version? I'm getting an error.

Hi

I've posted in the General forum about a CSS problem I'm having with the WP column blocks.

I've noticed I'm running Dynamik 1.2. When I click the update button, I get an error:

"Warning: Attempt to modify property of non-object in /mypath/wp-content/themes/genesis/lib/functions/upgrade.php on line 946"

My versions:
PHP Version: 7.1.30
WordPress Version: 5.2.3
Genesis Version: 2.10.1
Dynamik Version: 1.2

My Question: Is there a way to fix this dynamik error and keep all my settings and content intact. Or is it better to reinstall wordpress and reload the theme?

I've been using Dynamik since 2011 when it was Catalyst and apart from normal learning curves, I've never had an issue. But this formatting malarky (as mention in my post in the General section) has got me proper flummoxed and I'm hoping it's related to the out-of-date Dynamik version I'm running.

Okay, sorted out this issue.

In case it helps anyone else, there's a new version of Dynamik in your account area.
I made a note of all my Dynamik settings, uninstalled the old version, installed the new version and it's all good. My settings appear to have carried through so I haven't lost anything.

And I'm happy to say that my CSS troubles seem to be over! 🙂

Log in to reply